Warning messages when upgrading to Domain Mapping ver. 4

Hi there,

When I upgrade to ver. 4, I get the following warning messages in the network admin area (Settings/Domain Mapping/Mapping options):

- Warning: dns_get_record() [function.dns-get-record]: res_nsend() failed in /home/XXX/public_html/wp-content/plugins/domain-mapping/classes/Domainmap/Render/Network/Options.php on line 122

- Warning: Invalid argument supplied for foreach() in /home/XXX/public_html/wp-includes/functions.php on line 2713

(XXX has in the above replaced the actual domain)

I have tried both automatic update, as well as manualy update, ie:
1. Network deactivate old version
2. Delete old version via FTP
3. Upload new version via FTP
4. Network activate the new version

... but none of the above, makes the warning message disappear.

What's going on?

Best Regards,